# cabal2spec-0.25.2
# https://fedoraproject.org/wiki/Packaging:Haskell
# https://fedoraproject.org/wiki/PackagingDrafts/Haskell

%global pkg_name blaze-builder-enumerator

%global common_summary Enumeratees for conversion of builders to bytestrings

%global common_description This package integrates the builders from the blaze-builder package\
with the enumerator package. It provides infrastructure and\
enumeratees for incrementally executing builders and pass the filled\
chunks to a bytestring iteratee.

Name:           ghc-%{pkg_name}
Version:        0.2.0.4
Release:        3%{?dist}
Summary:        %{common_summary}

Group:          System Environment/Libraries
License:        BSD
# BEGIN cabal2spec
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
ExclusiveArch:  %{ghc_arches}
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros %{!?without_hscolour:hscolour}
# END cabal2spec
BuildRequires:  ghc-blaze-builder-devel
BuildRequires:  ghc-enumerator-devel

%description
%{common_description}


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install


%ghc_devel_package

%ghc_devel_description


%ghc_devel_post_postun


%ghc_files LICENSE
%doc CHANGES


%changelog
* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.0.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Jul 16 2012 Jens Petersen <petersen@redhat.com> - 0.2.0.4-2
- change prof BRs to devel

* Sat Jun  9 2012 Jens Petersen <petersen@redhat.com> - 0.2.0.4-1
- update to 0.2.0.4

* Thu Mar 22 2012 Jens Petersen <petersen@redhat.com> - 0.2.0.3-5
- rebuild

* Mon Mar  5 2012 Jens Petersen <petersen@redhat.com> - 0.2.0.3-4
- rebuild

* Thu Jan  5 2012 Jens Petersen <petersen@redhat.com> - 0.2.0.3-3
- update to cabal2spec-0.25.2

* Sun Oct 30 2011 Jens Petersen <petersen@redhat.com> - 0.2.0.3-2
- rebuild for newer enumerator

* Wed Oct 19 2011 Jens Petersen <petersen@redhat.com> - 0.2.0.3-1
- updated upstream released

* Tue Oct 18 2011 Jens Petersen <petersen@redhat.com> - 0.2.0.2-1
- BSD license

* Tue Oct 18 2011 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org> - 0.2.0.2-0
- initial packaging for Fedora automatically generated by cabal2spec-0.24.1
